Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.service.fulltextsearch
Class FulltextErrorVisitor

    java.lang.Object
      com.gisgraphy.domain.geoloc.service.fulltextsearch.FulltextErrorVisitor

All Implemented Interfaces:
  IoutputFormatVisitor

    public class FulltextErrorVisitor

extends java.lang.Object
implements IoutputFormatVisitor

Visitor (visitor pattern) to return error message according to the format for the fulltext service

Author:
  David Masclet

Constructor Summary
`FulltextErrorVisitor()`
`FulltextErrorVisitor(java.lang.String errorMessage)`

Method Summary
`java.lang.String` | `visitATOM(Output.OutputFormat outputFormat)`
`java.lang.String` | `visitGEORSS(Output.OutputFormat outputFormat)`
`java.lang.String` | `visitJSON(Output.OutputFormat format)`
`java.lang.String` | `visitPHP(Output.OutputFormat format)`
`java.lang.String` | `visitPYTHON(Output.OutputFormat format)`
`java.lang.String` | `visitRUBY(Output.OutputFormat format)`
`java.lang.String` | `visitXML(Output.OutputFormat format)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FulltextErrorVisitor

    public FulltextErrorVisitor()

### FulltextErrorVisitor

    public FulltextErrorVisitor(java.lang.String errorMessage)

Parameters:
  `errorMessage` - The error Message

Method Detail

### visitXML

    public java.lang.String visitXML(Output.OutputFormat format)

  Specified by:
    `visitXML` in interface `IoutputFormatVisitor`
  Parameters:
    `format` - The OutputFormat
  Returns:
    the String in the XML format

### visitJSON

    public java.lang.String visitJSON(Output.OutputFormat format)

  Specified by:
    `visitJSON` in interface `IoutputFormatVisitor`
  Parameters:
    `format` - The OutputFormat
  Returns:
    the String in the JSON format

### visitPYTHON

    public java.lang.String visitPYTHON(Output.OutputFormat format)

  Specified by:
    `visitPYTHON` in interface `IoutputFormatVisitor`
  Parameters:
    `format` - The OutputFormat
  Returns:
    the String in the PYTHON format

### visitRUBY

    public java.lang.String visitRUBY(Output.OutputFormat format)

  Specified by:
    `visitRUBY` in interface `IoutputFormatVisitor`
  Parameters:
    `format` - The OutputFormat
  Returns:
    the String in the RUBY format

### visitPHP

    public java.lang.String visitPHP(Output.OutputFormat format)

  Specified by:
    `visitPHP` in interface `IoutputFormatVisitor`
  Parameters:
    `format` - The OutputFormat
  Returns:
    the String in the PHP format

### visitATOM

    public java.lang.String visitATOM(Output.OutputFormat outputFormat)

  Specified by:
    `visitATOM` in interface `IoutputFormatVisitor`
  Parameters:
    `outputFormat` - The OutputFormat
  Returns:
    the String in the ATOM format

### visitGEORSS

    public java.lang.String visitGEORSS(Output.OutputFormat outputFormat)

  Specified by:
    `visitGEORSS` in interface `IoutputFormatVisitor`
  Parameters:
    `outputFormat` - The OutputFormat
  Returns:
    the String in the RSS format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.